# Build matrix / environment variable are explained on:
# http://about.travis-ci.org/docs/user/build-configuration/
# This file can be validated on:
# http://lint.travis-ci.org/
before_install: sudo apt-get install cmake
language: cpp
compiler:
  - gcc
  - clang
script: cmake -DJSONCPP_LIB_BUILD_SHARED=$SHARED_LIBRARY -DCMAKE_BUILD_TYPE=$BUILD_TYPE -DCMAKE_VERBOSE_MAKEFILE=$VERBOSE_MAKE . && make
env:
  matrix:
    - SHARED_LIBRARY=ON BUILD_TYPE=release VERBOSE_MAKE=false
    - SHARED_LIBRARY=OFF BUILD_TYPE=release VERBOSE_MAKE=false
    - SHARED_LIBRARY=OFF BUILD_TYPE=debug VERBOSE VERBOSE_MAKE=true
notifications:
  email:
    - aaronjjacobs@gmail.com
